#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 mod
version:              0.1.2.2
visibility:           public
id:                   mod-0.1.2.2-6cwE6QFQ084C05DSP9AY6e
key:                  mod-0.1.2.2-6cwE6QFQ084C05DSP9AY6e
license:              MIT
copyright:            2017-2020 Andrew Lelechenko
maintainer:           Andrew Lelechenko <andrew.lelechenko@gmail.com>
author:               Andrew Lelechenko <andrew.lelechenko@gmail.com>
homepage:             https://github.com/Bodigrim/mod
synopsis:             Fast type-safe modular arithmetic
description:
    <https://en.wikipedia.org/wiki/Modular_arithmetic Modular arithmetic>,
    promoting moduli to the type level, with an emphasis on performance.
    Originally part of <https://hackage.haskell.org/package/arithmoi arithmoi> package.

category:             Math, Number Theory
abi:                  cae87beaf1930269ceb3b126a3310045
exposed:              True
exposed-modules:      Data.Mod Data.Mod.Word
import-dirs:          /usr/lib/ghc-9.0.1/site-local/mod-0.1.2.2
library-dirs:         /usr/lib/ghc-9.0.1/site-local/mod-0.1.2.2
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-9.0.1/mod-0.1.2.2
hs-libraries:         HSmod-0.1.2.2-6cwE6QFQ084C05DSP9AY6e
depends:
    base-4.15.0.0 deepseq-1.4.5.0 integer-gmp-1.1
    primitive-0.7.1.0-4kINdDpEhvmA3u6QNQy1Pc
    semirings-0.6-HSiFfuIxPB7DUkH9vQ2yqL
    vector-0.12.3.0-AUL3Ah3IbB92NFyYgYDz3e

haddock-interfaces:   /usr/share/doc/haskell-mod/html/mod.haddock
haddock-html:         /usr/share/doc/haskell-mod/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

